Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workviews
Class GetWorkItemsForView3

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workviews.GetWorkItemsForView3

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<GetToDoListResult2>, net.customware.gwt.dispatch.shared.Action<GetToDoListResult2>

    public class GetWorkItemsForView3

extends java.lang.Object
implements OSAction<GetToDoListResult2>

Retrieve the Work List ( ToDo List ) for the specified view from BRM.

Additional options included to allow the retrieval of ALLOCATED or OFFERED items

©2013 TIBCO Software Inc.

Since:
  2.2.0
See Also:
  `GetToDoListResult2`

Constructor Summary
`GetWorkItemsForView3(long workListViewID, long startPos, long numberOfItems, boolean allocatedItems)` Constructs a new GetWorkItemsForView2 Action.

Method Summary
`boolean` | `getAllocatedItems()` Retrieve ALLOCATED items, the default for an Entity is OFFERED.
`long` | `getNumberOfItems()` Number of Work Items to retrieve.
`long` | `getStartPos()` Index of the first Work Item to retrieve.
`long` | `getWorkListViewID()` Id of the Work View to retrieve items for.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetWorkItemsForView3

    public GetWorkItemsForView3(long workListViewID,
                                long startPos,
                                long numberOfItems,
                                boolean allocatedItems)

  Constructs a new GetWorkItemsForView2 Action.

  Parameters:
    `workItemId` - ID of the View.
    `startPos` - Index of the first Work Item to retrieve.
    `numberOfItems` - Number of Work Items to retrieve.
    `Retrieve` - ALLOCATED items, the default for an Entity is OFFERED. For Resources OFFERED and ALLOCATED are returned.

Method Detail

### getStartPos

    public long getStartPos()

  Index of the first Work Item to retrieve.

  Returns:
    Returns the startPos.

### getNumberOfItems

    public long getNumberOfItems()

  Number of Work Items to retrieve.

  Returns:
    Returns the numberOfItems.

### getWorkListViewID

    public long getWorkListViewID()

  Id of the Work View to retrieve items for.

  Returns:
    Returns the ID of the Work View.

### getAllocatedItems

    public boolean getAllocatedItems()

  Retrieve ALLOCATED items, the default for an Entity is OFFERED. For Resources OFFERED and ALLOCATED are returned.

  Returns:
    Returns the type of items

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.